package com.jasamedika.medifirst2000.vo;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class PapGigiMulutVO extends BaseTransactionVO{
	@ManyToOne
	@JoinColumn(name = "ObjectRegistrasiPelayananPasienFk")
	//@NotNull(message = "RegistrasiPelayananPasien tidak boleh kosong")
	private RegistrasiPelayananPasienVO registrasiPelayananPasien;	
	
	@ManyToOne
	@JoinColumn(name = "ObjectPasienFk")
	@NotNull(message = "Pasien tidak boleh kosong")
	private PasienVO pasien;	
	
	@NotNull(message = "Tgl Input tidak boleh kosong")
	@Column(name = "tglInput", nullable = false)
	@Caption(value = "Tgl Input")
	private Date tglInput;
	
	@ManyToOne
	@JoinColumn(name = "ObjectKeadaanGigiFk")
	@NotNull(message = "Keadaan Gigi tidak boleh kosong")
	private PapKeadaanGigiVO papKeadaanGigi;

	@ManyToOne
	@JoinColumn(name = "ObjectPapGigiKiriSatuFk")
	@NotNull(message = "PapGigiKiriSatu tidak boleh kosong")
	private PapGigiKiriSatuVO papGigiKiriSatu;

	@ManyToOne
	@JoinColumn(name = "ObjectPapGigiKiriDuaFk")
	@NotNull(message = "PapGigiKiriDua tidak boleh kosong")
	private PapGigiKiriDuaVO papGigiKiriDua;

	@ManyToOne
	@JoinColumn(name = "ObjectPapGigiKiriTigaFk")
	@NotNull(message = "PapGigiKiriTiga tidak boleh kosong")
	private PapGigiKiriTigaVO papGigiKiriTiga;

	@ManyToOne
	@JoinColumn(name = "ObjectPapGigiKiriEmpatFk")
	@NotNull(message = "PapGigiKiriEmpat tidak boleh kosong")
	private PapGigiKiriEmpatVO papGigiKiriEmpat;

	@ManyToOne
	@JoinColumn(name = "ObjectPapGigiKananSatuFk")
	@NotNull(message = "PapGigiKananSatu tidak boleh kosong")
	private PapGigiKananSatuVO papGigiKananSatu;

	@ManyToOne
	@JoinColumn(name = "ObjectPapGigiKananDuaFk")
	@NotNull(message = "PapGigiKananDua tidak boleh kosong")
	private PapGigiKananDuaVO papGigiKananDua;

	@ManyToOne
	@JoinColumn(name = "ObjectPapGigiKananTigaFk")
	@NotNull(message = "PapGigiKananTiga tidak boleh kosong")
	private PapGigiKananTigaVO papGigiKananTiga;

	@ManyToOne
	@JoinColumn(name = "ObjectPapGigiKananEmpatFk")
	@NotNull(message = "PapGigiKananEmpat tidak boleh kosong")
	private PapGigiKananEmpatVO papGigiKananEmpat;

	@ManyToOne
	@JoinColumn(name = "ObjectBahanRestorasiFk")
	@NotNull(message = "Bahan Restorasi tidak boleh kosong")
	private PapBahanRestorasiVO papBahanRestorasi;

	@ManyToOne
	@JoinColumn(name = "ObjectRestorasiFk")
	@NotNull(message = "Restorasi tidak boleh kosong")
	private PapRestorasiVO papRestorasi;

	@ManyToOne
	@JoinColumn(name = "ObjectProtesaFk")
	@NotNull(message = "Protesa tidak boleh kosong")
	private PapProtesaVO papProtesa;

	public RegistrasiPelayananPasienVO getRegistrasiPelayananPasien() {
		return registrasiPelayananPasien;
	}

	public void setRegistrasiPelayananPasien(RegistrasiPelayananPasienVO registrasiPelayananPasien) {
		this.registrasiPelayananPasien = registrasiPelayananPasien;
	}

	public PasienVO getPasien() {
		return pasien;
	}

	public void setPasien(PasienVO pasien) {
		this.pasien = pasien;
	}

	public Date getTglInput() {
		return tglInput;
	}

	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}

	public PapKeadaanGigiVO getPapKeadaanGigi() {
		return papKeadaanGigi;
	}

	public void setPapKeadaanGigi(PapKeadaanGigiVO papKeadaanGigi) {
		this.papKeadaanGigi = papKeadaanGigi;
	}

	public PapGigiKiriSatuVO getPapGigiKiriSatu() {
		return papGigiKiriSatu;
	}

	public void setPapGigiKiriSatu(PapGigiKiriSatuVO papGigiKiriSatu) {
		this.papGigiKiriSatu = papGigiKiriSatu;
	}

	public PapGigiKiriDuaVO getPapGigiKiriDua() {
		return papGigiKiriDua;
	}

	public void setPapGigiKiriDua(PapGigiKiriDuaVO papGigiKiriDua) {
		this.papGigiKiriDua = papGigiKiriDua;
	}

	public PapGigiKiriTigaVO getPapGigiKiriTiga() {
		return papGigiKiriTiga;
	}

	public void setPapGigiKiriTiga(PapGigiKiriTigaVO papGigiKiriTiga) {
		this.papGigiKiriTiga = papGigiKiriTiga;
	}

	public PapGigiKiriEmpatVO getPapGigiKiriEmpat() {
		return papGigiKiriEmpat;
	}

	public void setPapGigiKiriEmpat(PapGigiKiriEmpatVO papGigiKiriEmpat) {
		this.papGigiKiriEmpat = papGigiKiriEmpat;
	}

	public PapGigiKananSatuVO getPapGigiKananSatu() {
		return papGigiKananSatu;
	}

	public void setPapGigiKananSatu(PapGigiKananSatuVO papGigiKananSatu) {
		this.papGigiKananSatu = papGigiKananSatu;
	}

	public PapGigiKananDuaVO getPapGigiKananDua() {
		return papGigiKananDua;
	}

	public void setPapGigiKananDua(PapGigiKananDuaVO papGigiKananDua) {
		this.papGigiKananDua = papGigiKananDua;
	}

	public PapGigiKananTigaVO getPapGigiKananTiga() {
		return papGigiKananTiga;
	}

	public void setPapGigiKananTiga(PapGigiKananTigaVO papGigiKananTiga) {
		this.papGigiKananTiga = papGigiKananTiga;
	}

	public PapGigiKananEmpatVO getPapGigiKananEmpat() {
		return papGigiKananEmpat;
	}

	public void setPapGigiKananEmpat(PapGigiKananEmpatVO papGigiKananEmpat) {
		this.papGigiKananEmpat = papGigiKananEmpat;
	}

	public PapBahanRestorasiVO getPapBahanRestorasi() {
		return papBahanRestorasi;
	}

	public void setPapBahanRestorasi(PapBahanRestorasiVO papBahanRestorasi) {
		this.papBahanRestorasi = papBahanRestorasi;
	}

	public PapRestorasiVO getPapRestorasi() {
		return papRestorasi;
	}

	public void setPapRestorasi(PapRestorasiVO papRestorasi) {
		this.papRestorasi = papRestorasi;
	}

	public PapProtesaVO getPapProtesa() {
		return papProtesa;
	}

	public void setPapProtesa(PapProtesaVO papProtesa) {
		this.papProtesa = papProtesa;
	}
	
	
}
